This is the multi-page printable view of this section. Click here to print.
Create Transit Gateway Uplink Rule
1 - 1.2
post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Description
Create Transit Gateway Uplink Rule.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| body | body required | TransitGatewayUplinkRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayUplinkRuleCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"
Request body
{
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE"
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE",
"id": "43772aff4539403d9ba74bf1fdaa00c8",
"state": "ACTIVE"
}
}
2 - 1.1
post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Description
Create Transit Gateway Uplink Rule.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| body | body required | TransitGatewayUplinkRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayUplinkRuleCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE"
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE",
"id": "43772aff4539403d9ba74bf1fdaa00c8",
"state": "ACTIVE"
}
}
3 - 1.0
post /v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Description
Create Transit Gateway Uplink Rule.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| body | body required | TransitGatewayUplinkRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayUplinkRuleCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/uplink-routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE"
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"description": "Routing Rule Description",
"destination_cidr": "192.167.5.0/24",
"destination_type": "ON_PREMISE",
"id": "43772aff4539403d9ba74bf1fdaa00c8",
"state": "ACTIVE"
}
}